"""
CMFBoringTool.
"""

import Products.CMFCore
from Products.CMFCore import utils
import BoringTool

tool_globals = globals() # useful for registering with CMF

# Make the skins available to CMF as DirectoryViews.
from Products.CMFCore.DirectoryView import registerDirectory
registerDirectory('skins', tool_globals)

# Still have to add a FSDirectoryView in order for it to actually show up.
# Also have to register the tool as an ActionProvider with the Actions tool.
# We have an installation script in Extensions/ that will do both of those.

def initialize(context):
    """Initialize the product.
    This makes it appear in the add list."""
    utils.ToolInit(BoringTool.BoringTool.meta_type
                   , tools=(BoringTool.BoringTool,)
                   , product_name='CMFBoringTool' # name of this directory
                   , icon='tool.gif',  # must be in this directory
                   ).initialize( context )
    
